Updated: 10/11/2011 Due date:

Subject: Implement file injection in the Synnefo-specific Ganeti OS provider

Description

Get file data to be injected in a newly deployed Image, from the API layer.

The data will be passed encoded in a Ganeti OS provider parameter, based on the results of #985.

Related issues:

blocks Synnefo - Feature # 491: Χειρισμός του συστήματος αρχείων νέων εικονικ... Closed 05/10/2011

History

#1 - 09/27/2011 02:05 pm - Constantinos Venetsanopoulos

- Assignee changed from Nikos Skalkotos to Constantinos Venetsanopoulos

The Ganeti OS Parameter OSP_IMG_PERSONALITY contains a string dump of the following json:

[

 { 'path':'/path/to/file1', 'contents':'base64encodedfile1' },

 { 'path':'/path/to/file2', 'contents':'base64encodedfile2' },

 ...

 ...

]

This list of dictionaries contains all the files (base64 encoded) that need to be injected in the newly deployed Image.

The 'snf-image' OS Provider runs a hook that loads the json, decodes and stores the files in the corresponding paths.

If identical files already exist they are backed up as proposed by the OpenStack API:

http://docs.openstack.org/cactus/openstack-compute/developer/openstack-compute-api-1.1/content/Server_Personality-d1e2543.html

#2 - 10/07/2011 12:03 pm - Constantinos Venetsanopoulos

- Status changed from New to Feedback

An initial version of the hook has been commited in the snf-image repository.

#3 - 10/11/2011 01:04 pm - Vangelis Koukis

- Target version changed from v0.8.0 to v0.7

#4 - 10/11/2011 01:06 pm - Vangelis Koukis

- Status changed from Feedback to Closed

This has been implemented as a hook inside the snf-image OS provider, closing ticket.
